org.apache.lucene.facet

## Class FacetsCollector.MatchingDocs

- java.lang.Object
- - org.apache.lucene.facet.FacetsCollector.MatchingDocs

Enclosing class:
  FacetsCollector

    public static final class FacetsCollector.MatchingDocs
    extends Object

Holds the documents that were matched in the `LeafReaderContext`. If scores were required, then `scores` is not null.

### Field Summary

Fields
`DocIdSet` `bits` Which documents were seen.
`LeafReaderContext` `context` Context for this segment.
`float[]` `scores` Non-sparse scores array.
`int` `totalHits` Total number of hits

### Constructor Summary

Constructors
Constructor and Description
`MatchingDocs(LeafReaderContext context, DocIdSet bits, int totalHits, float[] scores)` Sole constructor.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### context

    public final LeafReaderContext context

Context for this segment.

#### bits

    public final DocIdSet bits

Which documents were seen.

#### scores

    public final float[] scores

Non-sparse scores array.

#### totalHits

    public final int totalHits

Total number of hits

### Constructor Detail

#### MatchingDocs

    public MatchingDocs(LeafReaderContext context,
                        DocIdSet bits,
                        int totalHits,
                        float[] scores)

Sole constructor.